Package org.eclipse.pde.ui.launcher

## Class PDESourcePathProvider

- java.lang.Object
- - org.eclipse.jdt.launching.StandardClasspathProvider
  - - org.eclipse.jdt.launching.StandardSourcePathProvider
    - - org.eclipse.pde.launching.PDESourcePathProvider
      - - org.eclipse.pde.ui.launcher.PDESourcePathProvider

All Implemented Interfaces:
  `IRuntimeClasspathProvider`

    @Deprecated
    public class PDESourcePathProvider
    extends PDESourcePathProvider

Deprecated.
use `PDESourcePathProvider` instead.
Generates a source lookup path for all PDE-based launch configurations

Clients may subclass this class.

Since:
  3.3
See Also:
  `PDESourcePathProvider`
Restriction:
  This method is planned for removal. See bug 564563 for details.
Restriction:
  This method is planned for removal. See bug 564563 for details.

### Field Summary

### Fields inherited from class org.eclipse.pde.launching.PDESourcePathProvider

`ID`

### Constructor Summary

Constructors
`PDESourcePathProvider()` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.pde.launching.PDESourcePathProvider

`computeUnresolvedClasspath, resolveClasspath`

### Methods inherited from class org.eclipse.jdt.launching.StandardSourcePathProvider

`addManifestReferences`

### Methods inherited from class org.eclipse.jdt.launching.StandardClasspathProvider

`recoverRuntimePath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDESourcePathProvider

    public PDESourcePathProvider()

Deprecated.